Package com.pixelmed.apps

## Class AddHierarchicalEvidenceSequencetoStructuredReports

- java.lang.Object
- - com.pixelmed.apps.AddHierarchicalEvidenceSequencetoStructuredReports

-     public class AddHierarchicalEvidenceSequencetoStructuredReports
      extends java.lang.Object

  A class to process multiple SR files and their referenced instances (like Images, Presentation States and Segmentations) and build Hierarchical SOP Instance Reference Macros with which to (re-)populate CurrentRequestedProcedureEvidenceSequence.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `AddHierarchicalEvidenceSequencetoStructuredReports.OurMediaImporter` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `ourAETitle` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddHierarchicalEvidenceSequencetoStructuredReports​(java.lang.String[] srcs, java.lang.String dstFolderName)` | Copy only the most recent SR files and their references.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Examine a set of SR and referenced files and copy SR files adding evidence sequence.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ourAETitle

          protected java.lang.String ourAETitle

  - ### Constructor Detail

    - #### AddHierarchicalEvidenceSequencetoStructuredReports

          public AddHierarchicalEvidenceSequencetoStructuredReports​(java.lang.String[] srcs,
                                                                    java.lang.String dstFolderName)
                                                             throws java.io.FileNotFoundException,
                                                                    java.io.IOException,
                                                                    DicomException

      Copy only the most recent SR files and their references.

      Parameters:
        `srcs` -
        `dstFolderName` -
      Throws:
        `java.io.FileNotFoundException`
        `java.io.IOException`
        `DicomException`

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] arg)

      Examine a set of SR and referenced files and copy SR files adding evidence sequence.

      Parameters:
        `arg` - array of 2 or more strings - one or more source folder or DICOMDIR and a destination folder